# Brands REST API

For the [OpenAPI Specification](https://swagger.io/specification/) document use this link:\
<https://apis.objectsgrid.com/brands/contract>

## POST /brands

> Create object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands":{"post":{"summary":"Create object","operationId":"create","parameters":[{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"responses":{"201":{"description":"Successfully created the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict, object already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests - rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /brands/{id}

> Retrieve Object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands/{id}":{"get":{"summary":"Retrieve Object","operationId":"retrieve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the object to retrieve"},{"in":"query","name":"lang","schema":{"type":"string"},"description":"BCP 47 language code\n"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully retrieved the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /brands/{id}

> Update Object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands/{id}":{"put":{"summary":"Update Object","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the object to update"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"responses":{"200":{"description":"Successfully updated the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PATCH /brands/{id}

> Patch Object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands/{id}":{"patch":{"summary":"Patch Object","operationId":"patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the object to update"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"responses":{"200":{"description":"Successfully patched the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Brand"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DELETE /brands/{id}

> Delete Object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands/{id}":{"delete":{"summary":"Delete Object","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"},"description":"ID of the object to delete"},{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully deleted the object","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## List objects

> This operation supports Elastic Search Query DSL query format<br>

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"servers":[{"url":"https://apis.objectsgrid.com"}],"security":[{"accessTokenAuth":[]}],"components":{"securitySchemes":{"accessTokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"Bearer JWT","description":"JWT Access Token obtained from Create User Account Access Token operation."}},"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}},"paths":{"/brands":{"get":{"summary":"List objects","operationId":"list","description":"This operation supports Elastic Search Query DSL query format\n","parameters":[{"in":"header","name":"X-ObjectsGrid-AccessPoint","description":"EU or US depending on where your Organization Account is located","schema":{"type":"string","enum":["EU","US"]},"required":true},{"in":"query","name":"lang","schema":{"type":"string"},"description":"BCP 47 language code\n"},{"in":"query","name":"query","schema":{"type":"string"},"description":"Elastic Search Query DSL for querying service Accounts."},{"in":"query","name":"from","schema":{"type":"integer"},"description":"Defines the starting record number for retrieval."},{"in":"query","name":"size","schema":{"type":"integer"},"description":"Defines the number of records to retrieve."},{"in":"header","name":"X-ObjectsGrid-RestApiVersion","description":"This header allows targeting an API version.\nIf you want to target the latest API version set its value to 'latest'\nIf you want to target the latest stable API version set its value to 'stable'\n","schema":{"type":"string"},"required":false},{"in":"header","name":"X-ObjectsGrid-SessionID","description":"This header allows you to provide a Session ID to be traced through the request stack and returned in the response.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Successfully listed the objects","headers":{"X-ObjectsGrid-CorrelationID":{"description":"The Correlation ID is a unique value generated by ObjectsGrid and used for troubleshooting issues","schema":{"type":"string"}},"X-ObjectsGrid-SessionID":{"description":"If your request contained this header, it will be included in the response","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Brand"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"427":{"description":"Too Many Requests - rate limited","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## The Brand object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"components":{"schemas":{"Brand":{"type":"object","properties":{"at_context":{"type":"string","description":"Convention for '@context' JSON-LD compliance, convert in the frontend","enum":["https://schema.org"]},"at_type":{"type":"string","description":"Convention for '@type' JSON-LD compliance, convert in the frontend","enum":["Brand"]},"id":{"type":"string","description":"The Brand's ID, generated"},"identifier":{"type":"string"},"name":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"description":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"slogan":{"type":"array","items":{"$ref":"#/components/schemas/LanguageTaggedString"}},"sameAs":{"type":"array","items":{"type":"string"}},"url":{"type":"string"},"logo":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"meta":{"$ref":"#/components/schemas/Meta"}},"required":["name","tags"]},"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]},"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}},"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The LanguageTaggedString object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"components":{"schemas":{"LanguageTaggedString":{"type":"object","properties":{"at_value":{"type":"string","description":"Convention for '@value' JSON-LD compliance, convert in the frontend"},"at_language":{"type":"string","description":"Convention for '@language' JSON-LD compliance, convert in the frontend"}},"required":["at_value","at_language"]}}}}
```

## The Tag object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"components":{"schemas":{"Tag":{"type":"object","properties":{"name":{"type":"string"},"val":{"type":"string"}}}}}}
```

## The Meta object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"components":{"schemas":{"Meta":{"type":"object","properties":{"objectVersion":{"type":"number"},"objectType":{"type":"string"},"namespace":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastUpdatedAt":{"type":"string","format":"date-time"},"lastUpdatedBy":{"type":"string"},"lastUpdateCorrelationID":{"type":"string"}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Brands REST API","version":"v1"},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"reasons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"number"},"httpStatusCode":{"type":"integer"},"httpStatusText":{"type":"string"},"correlationId":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.objectsgrid.com/documentation/objects-grid-objects/brand-object/brands-rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
